Memory
Create a memory space
POST /v1/memory-spaces · SDK createMemorySpace · CLI deployments memory-space create
POST
Requires memory:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
description?stringkind?stringValue in
"agent""organization""shared""workspace"name*stringretentionDays?integerRange
1 <= value <= 3650workspaceId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$MemoryObjectResponse
application/json- response
curl -X POST "https://example.com/v1/memory-spaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{}